S_UNBLOCK(3)

FUNCTION
s_unblock - Unblock a signal.

SYNOPSIS
#include <karma_s.h>

void s_unblock

(int signal)

DESCRIPTION
This routine will cause a signal to be unblocked. If the signal is not already blocked, no action is taken.

signal
    The signal to unblock.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
The signal will only be unblocked if previously blocked by a call to <-s_block->.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/